Salesforce – Gotchas
CRM software solutions and enterprise cloud computing from Salesforce, the leader in customer relationship management (CRM) and PaaS.
15 gotchas across 10 resources
These are connector-specific behaviors and limitations to be aware of when integrating.
Activities4 gotchas
activitiesAllSalesforce imposes a maximum offset limit of 2000. Exceeding this offset will result in an error from Salesforce. For result sets larger than 2000 items, it is necessary to set the pagination limit to 200, as this will enforce the use of batchSize for pagination. Note that setting a limit lower than 200 will not reduce the batchSize due to Salesforce's minimum batch size policy of 200, as detailed in their documentation here and will have no effect. In Salesforce, to get list of tasks, calls or emails, please use filter "type": "task" to ensure proper handling.
activitiesAddSalesforce activities map to the Event object by default. Creating an Event requires a start date/time, so you must send activity_datetime (mapped to Salesforce ActivityDateTime). Omitting it returns Required fields are missing: [ActivityDateTime]. For all-day events, send activity_date (mapped to ActivityDate) and set all_day_event: true instead.
When creating tasks, calls, or emails, please specify "type": "task" with the correct event_sub_type value in the request body to ensure proper handling. These map to the Salesforce Task object and do not require activity_datetime.
Associate the activity with a record using contact_id or lead_id (mapped to WhoId), and account_id/opportunity_id/etc. (mapped to WhatId).
activitiesUpdateIn Salesforce, when updating tasks, calls, or emails, please specify "type": "task" in the request body to ensure proper handling.
activitiesDeleteThis endpoint is mapped to Salesforce Events; tasks are not included. As a workaround we recommended using the Proxy API.
Companies1 gotcha
companiesAllSalesforce imposes a maximum offset limit of 2000. Exceeding this offset will result in an error from Salesforce. For result sets larger than 2000 items, it is necessary to set the pagination limit to 200, as this will enforce the use of batchSize for pagination. Note that setting a limit lower than 200 will not reduce the batchSize due to Salesforce's minimum batch size policy of 200, as detailed in their documentation here and will have no effect.
Contacts1 gotcha
contactsAllSalesforce imposes a maximum offset limit of 2000. Exceeding this offset will result in an error from Salesforce. For result sets larger than 2000 items, it is necessary to set the pagination limit to 200, as this will enforce the use of batchSize for pagination. Note that setting a limit lower than 200 will not reduce the batchSize due to Salesforce's minimum batch size policy of 200, as detailed in their documentation here and will have no effect.
Custom Object Schemas1 gotcha
customObjectSchemasAllSalesforce imposes a maximum offset limit of 2000. Exceeding this offset will result in an error from Salesforce. For result sets larger than 2000 items, it is necessary to set the pagination limit to 200, as this will enforce the use of batchSize for pagination. Note that setting a limit lower than 200 will not reduce the batchSize due to Salesforce's minimum batch size policy of 200, as detailed in their documentation here and will have no effect.
Custom Objects1 gotcha
customObjectsAllSalesforce imposes a maximum offset limit of 2000. Exceeding this offset will result in an error from Salesforce. For result sets larger than 2000 items, it is necessary to set the pagination limit to 200, as this will enforce the use of batchSize for pagination. Note that setting a limit lower than 200 will not reduce the batchSize due to Salesforce's minimum batch size policy of 200, as detailed in their documentation here and will have no effect.
Leads1 gotcha
leadsAllSalesforce imposes a maximum offset limit of 2000. Exceeding this offset will result in an error from Salesforce. For result sets larger than 2000 items, it is necessary to set the pagination limit to 200, as this will enforce the use of batchSize for pagination. Note that setting a limit lower than 200 will not reduce the batchSize due to Salesforce's minimum batch size policy of 200, as detailed in their documentation here and will have no effect.
Notes2 gotchas
notesAllSalesforce imposes a maximum offset limit of 2000. Exceeding this offset will result in an error from Salesforce. For result sets larger than 2000 items, it is necessary to set the pagination limit to 200, as this will enforce the use of batchSize for pagination. Note that setting a limit lower than 200 will not reduce the batchSize due to Salesforce's minimum batch size policy of 200, as detailed in their documentation here and will have no effect.
notesAddWhen creating a note in Salesforce, you can only associate it with one resource (such as a lead, company or opportunity) at a time. You cannot combine multiple resources or associate the note with more than one resource in a single API call.
Opportunities2 gotchas
opportunitiesAllSalesforce imposes a maximum offset limit of 2000. Exceeding this offset will result in an error from Salesforce. For result sets larger than 2000 items, it is necessary to set the pagination limit to 200, as this will enforce the use of batchSize for pagination. Note that setting a limit lower than 200 will not reduce the batchSize due to Salesforce's minimum batch size policy of 200, as detailed in their documentation here and will have no effect.
opportunitiesAddThe close_date and pipeline_stage_id are required by Salesforce. If close_date is not provided, it defaults to 2021-12-31.
Pipelines1 gotcha
pipelinesAllSalesforce imposes a maximum offset limit of 2000. Exceeding this offset will result in an error from Salesforce. For result sets larger than 2000 items, it is necessary to set the pagination limit to 200, as this will enforce the use of batchSize for pagination. Note that setting a limit lower than 200 will not reduce the batchSize due to Salesforce's minimum batch size policy of 200, as detailed in their documentation here and will have no effect.
Users1 gotcha
usersAllSalesforce imposes a maximum offset limit of 2000. Exceeding this offset will result in an error from Salesforce. For result sets larger than 2000 items, it is necessary to set the pagination limit to 200, as this will enforce the use of batchSize for pagination. Note that setting a limit lower than 200 will not reduce the batchSize due to Salesforce's minimum batch size policy of 200, as detailed in their documentation here and will have no effect.